## org.apache.aries.subsystem.core.archive
Class DeploymentManifest

    java.lang.Object
      org.apache.aries.subsystem.core.archive.DeploymentManifest

    public class DeploymentManifest

extends Object

Nested Class Summary
`static class` `DeploymentManifest.Builder`

Field Summary
`static String` `ARIESSUBSYSTEM_AUTOSTART`
`static String` `ARIESSUBSYSTEM_ID`
`static String` `ARIESSUBSYSTEM_LASTID`
`static String` `ARIESSUBSYSTEM_LOCATION`
`static String` `ARIESSUBSYSTEM_PARENTS`
`static String` `ARIESSUBSYSTEM_REGION`
`static String` `ARIESSUBSYSTEM_STATE`
`static String` `DEPLOYED_CONTENT`
`static String` `DEPLOYMENT_MANIFESTVERSION`
`static String` `EXPORT_PACKAGE`
`static String` `IMPORT_PACKAGE`
`static String` `PROVIDE_CAPABILITY`
`static String` `PROVISION_RESOURCE`
`static String` `REQUIRE_BUNDLE`
`static String` `REQUIRE_CAPABILITY`
`static String` `SUBSYSTEM_EXPORTSERVICE`
`static String` `SUBSYSTEM_IMPORTSERVICE`
`static String` `SUBSYSTEM_SYMBOLICNAME`
`static String` `SUBSYSTEM_VERSION`

Constructor Summary
`DeploymentManifest(DeploymentManifest deploymentManifest, SubsystemManifest subsystemManifest, boolean autostart, long id, long lastId, String location, boolean overwrite, boolean acceptDependencies)`
`DeploymentManifest(File file)`
`DeploymentManifest(InputStream in)`
`DeploymentManifest(Manifest manifest)`

Method Summary
`AriesSubsystemParentsHeader` `getAriesSubsystemParentsHeader()`
`DeployedContentHeader` `getDeployedContentHeader()`
`ExportPackageHeader` `getExportPackageHeader()`
`Map<String,Header<?>>` `getHeaders()`
`ImportPackageHeader` `getImportPackageHeader()`
`ProvideCapabilityHeader` `getProvideCapabilityHeader()`
`ProvisionResourceHeader` `getProvisionResourceHeader()`
`RequireBundleHeader` `getRequireBundleHeader()`
`RequireCapabilityHeader` `getRequireCapabilityHeader()`
`SubsystemExportServiceHeader` `getSubsystemExportServiceHeader()`
`SubsystemImportServiceHeader` `getSubsystemImportServiceHeader()`
`void` `write(OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEPLOYED_CONTENT

    public static final String DEPLOYED_CONTENT

See Also:
  Constant Field Values

### DEPLOYMENT_MANIFESTVERSION

    public static final String DEPLOYMENT_MANIFESTVERSION

See Also:
  Constant Field Values

### EXPORT_PACKAGE

    public static final String EXPORT_PACKAGE

See Also:
  Constant Field Values

### IMPORT_PACKAGE

    public static final String IMPORT_PACKAGE

See Also:
  Constant Field Values

### PROVIDE_CAPABILITY

    public static final String PROVIDE_CAPABILITY

See Also:
  Constant Field Values

### PROVISION_RESOURCE

    public static final String PROVISION_RESOURCE

See Also:
  Constant Field Values

### REQUIRE_BUNDLE

    public static final String REQUIRE_BUNDLE

See Also:
  Constant Field Values

### REQUIRE_CAPABILITY

    public static final String REQUIRE_CAPABILITY

See Also:
  Constant Field Values

### SUBSYSTEM_EXPORTSERVICE

    public static final String SUBSYSTEM_EXPORTSERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_IMPORTSERVICE

    public static final String SUBSYSTEM_IMPORTSERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_SYMBOLICNAME

    public static final String SUBSYSTEM_SYMBOLICNAME

See Also:
  Constant Field Values

### SUBSYSTEM_VERSION

    public static final String SUBSYSTEM_VERSION

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_AUTOSTART

    public static final String ARIESSUBSYSTEM_AUTOSTART

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_ID

    public static final String ARIESSUBSYSTEM_ID

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_LASTID

    public static final String ARIESSUBSYSTEM_LASTID

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_LOCATION

    public static final String ARIESSUBSYSTEM_LOCATION

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_PARENTS

    public static final String ARIESSUBSYSTEM_PARENTS

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_REGION

    public static final String ARIESSUBSYSTEM_REGION

See Also:
  Constant Field Values

### ARIESSUBSYSTEM_STATE

    public static final String ARIESSUBSYSTEM_STATE

See Also:
  Constant Field Values

Constructor Detail

### DeploymentManifest

    public DeploymentManifest(Manifest manifest)

### DeploymentManifest

    public DeploymentManifest(File file)
                       throws IOException

Throws:
  `IOException`

### DeploymentManifest

    public DeploymentManifest(InputStream in)
                       throws IOException

Throws:
  `IOException`

### DeploymentManifest

    public DeploymentManifest(DeploymentManifest deploymentManifest,
                              SubsystemManifest subsystemManifest,
                              boolean autostart,
                              long id,
                              long lastId,
                              String location,
                              boolean overwrite,
                              boolean acceptDependencies)
                       throws org.osgi.service.resolver.ResolutionException,
                              IOException,
                              URISyntaxException

Throws:
  `org.osgi.service.resolver.ResolutionException`
  `IOException`
  `URISyntaxException`

Method Detail

### getDeployedContentHeader

    public DeployedContentHeader getDeployedContentHeader()

### getExportPackageHeader

    public ExportPackageHeader getExportPackageHeader()

### getHeaders

    public Map<String,Header<?>> getHeaders()

### getAriesSubsystemParentsHeader

    public AriesSubsystemParentsHeader getAriesSubsystemParentsHeader()

### getImportPackageHeader

    public ImportPackageHeader getImportPackageHeader()

### getProvideCapabilityHeader

    public ProvideCapabilityHeader getProvideCapabilityHeader()

### getProvisionResourceHeader

    public ProvisionResourceHeader getProvisionResourceHeader()

### getRequireBundleHeader

    public RequireBundleHeader getRequireBundleHeader()

### getRequireCapabilityHeader

    public RequireCapabilityHeader getRequireCapabilityHeader()

### getSubsystemExportServiceHeader

    public SubsystemExportServiceHeader getSubsystemExportServiceHeader()

### getSubsystemImportServiceHeader

    public SubsystemImportServiceHeader getSubsystemImportServiceHeader()

### write

    public void write(OutputStream out)
               throws IOException

  Throws:
    `IOException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.